> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /AuthSecret/Enable

> Use the /AuthSecret/Enable endpoint if you are a client of Flinks and want to re-enable a partner's Auth Secret to provide access to data that is processed through Flinks.

Use the `/AuthSecret/Enable` endpoint if you are a client of Flinks and want to re-enable a partner's Auth Secret to provide access to data that is processed through Flinks.

This endpoint re-enables an Auth Secret that you have previously disabled.

If this is the first time that you are providing this partner access to Flinks APIs, use the [/AuthSecret](https://docs.flinks.com/api/authorize/endpoints/data-sharing/auth-secret) endpoint to create a new Auth Secret and set up a new partner.


## OpenAPI

````yaml GET /v3/{customerId}/partnerdata/authsecret/enable/{permissionId}
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/partnerdata/authsecret/enable/{permissionId}:
    get:
      tags:
        - Authorization
      summary: Enable Auth Secret
      description: >-
        Use the /AuthSecret/Enable endpoint if you are a client of Flinks and
        want to re-enable a partner's Auth Secret to provide access to data that
        is processed through Flinks.
      operationId: enableAuthSecret
      parameters:
        - name: customerId
          in: path
          required: true
          description: >-
            Key that grants access to the environment specified in the instance
            field. By default, the value is set to the toolbox environment key.
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
        - name: permissionId
          in: path
          required: true
          description: Revokes access to Flinks APIs for the partner it's associated with.
          schema:
            type: string
      responses:
        '200':
          description: Response Body
          content:
            application/json:
              schema:
                type: object
                properties:
                  permissionId:
                    type: string
                    description: The permission ID that was re-enabled.
                  authSecret:
                    type: string
                    description: The authorization token that was re-enabled.
                  message:
                    type: string
                    description: >-
                      Success message confirming the partner authorization was
                      re-enabled.
              example:
                permissionId: d68aa9e7-1fb3-46be-a4f6-6dfd9b7052c8
                authSecret: 55e387aa-4f2b-4b78-b568-222db22b96e6
                message: The partner authorization was re-enabled successfully.
        '400':
          description: Response Body
          content:
            application/json:
              schema:
                type: object
              example: {}

````